# Uses of Interface
org.eclipse.emf.cdo.security.SecurityFactory

Packages that use SecurityFactory
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.

## Uses of SecurityFactory in org.eclipse.emf.cdo.security

Fields in org.eclipse.emf.cdo.security declared as SecurityFactory
Modifier and Type
Field
Description
`static final SecurityFactory`
SecurityFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.emf.cdo.security that return SecurityFactory
Modifier and Type
Method
Description
`SecurityFactory`
SecurityPackage.`getSecurityFactory()`
Returns the factory that creates the instances of the model.

## Uses of SecurityFactory in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement SecurityFactory
Modifier and Type
Class
Description
`class`
`SecurityFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.emf.cdo.security.impl that return SecurityFactory
Modifier and Type
Method
Description
`SecurityFactory`
SecurityPackageImpl.`getSecurityFactory()`
`static SecurityFactory`
SecurityFactoryImpl.`init()`
Creates the default factory implementation.